Anonymous Login
2019-07-23 21:29 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000318Pending RequestsTaskspublic2014-08-16 18:19
Reporteregemme 
Assigned Tocaseydk 
PriorityhighSeverityfeatureReproducibilityalways
StatusassignedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000318: Make more interaction between the begin/end dates and duration
DescriptionDon't know if feasible, but it would be appreciable that a kind of button like "compute" end date or duration value found in the traditional task edition be implemented in ProjectDesigner. I really love this module when adding a load of tasks. But lacking a comparable "compute" button makes me go to traditionnal task edition once every two or three tasks to make end date and duration consistent. I usually don't bother about en date, but strictly figure out the duration as it is easier for me. Also, the dependancy feature doesn't "check" the "define start date from dependancy" and leave the start date as set when creating the new task.

Doing these two improvements would speed-up ProjectDesigner by 50%
TagsNo tags attached.
Attached Files

-Relationships
related to 0000452new Changing task duration does not re-calculate the task end date 
parent of 0000319closedcaseydk Automatic calculation for end date/time or duration in project designer 
+Relationships

-Notes

~0000619

egemme (reporter)

I noticed there is actually an interaction between dates and duration when adjusting begin/end dates. I meant that I wished that the end date was adjusted upon a change of duration. More often, I play with duration.

~0000621

caseydk (administrator)

Ah, if I recall correctly, the End Date is only updated if you hit the button on the Task Add/Edit screen. The Project Designer doesn't have that, so... there you go.

~0000622

laussetdelon (reporter)

Can be linked ti this one

http://bugs.web2project.net/view.php?id=319

~0002233

opto (manager)

it should be possible to switch this off.

I may want to spend 3 hours on a task during a period of 3 days.
If i now decide to spend 5 hours on it, it may still be that I do not want to change the end date.

And not in al lscenarios is end date = star date + duration

Klaus

~0002235

caseydk (administrator)

When you edit a Task and change any of the fields (start date, end date, duration), you have to push the button to have it recalculate anything. This is how I envision it should work.

It covers Opto's use case and is consistent with elsewhere in the system.
+Notes

-Issue History
Date Modified Username Field Change
2009-11-29 05:51 egemme New Issue
2009-12-02 18:39 egemme Note Added: 0000619
2009-12-02 20:44 caseydk Note Added: 0000621
2009-12-04 07:03 laussetdelon Note Added: 0000622
2009-12-04 09:19 caseydk Relationship added parent of 0000319
2009-12-07 20:43 caseydk Project v1.2 Release (Closed) => Pending Requests
2011-08-09 13:00 caseydk Project Pending Requests => v3.0 Release
2011-09-12 22:44 caseydk Relationship added parent of 0000850
2011-09-27 23:47 caseydk Priority normal => high
2011-09-27 23:50 caseydk Status new => assigned
2011-09-27 23:50 caseydk Assigned To => caseydk
2011-10-03 10:00 opto Note Added: 0002233
2011-10-03 15:06 caseydk Note Added: 0002235
2011-11-23 22:59 caseydk Project v3.0 Release => Pending Requests
2011-11-26 23:04 caseydk Relationship deleted parent of 0000850
2011-11-26 23:06 caseydk Relationship added related to 0000452
2014-08-16 18:19 caseydk Category General => Tasks
+Issue History